server {
    server_name prod.va1erify.ru;

    location / {
        proxy_pass http://{{ nginx_app_external_ip }}:3000;
    }

    location /css {
         proxy_pass http://{{ nginx_app_external_ip }}:3000;
    }

    location /js {
         proxy_pass http://{{ nginx_app_external_ip }}:3000;
    }

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/prod.va1erify.ru/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/prod.va1erify.ru/privkey.pem; # managed by Certbot

}
server {
    if ($host = prod.va1erify.ru) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


    listen 80;
    server_name prod.va1erify.ru;
    return 404; # managed by Certbot
}

server {
    server_name portainer.va1erify.ru;

    location / {
        proxy_pass http://{{ nginx_app_external_ip }}:9000;
    }

    location /css {
         proxy_pass http://{{ nginx_app_external_ip }}:9000;
    }

    location /js {
         proxy_pass http://{{ nginx_app_external_ip }}:9000;
    }

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/portainer.va1erify.ru/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/portainer.va1erify.ru/privkey.pem; # managed by Certbot

}
server {
    if ($host = portainer.va1erify.ru) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


    listen 80;
    server_name portainer.va1erify.ru;
    return 404; # managed by Certbot
}